### Method

# ECal ComponentAlarms take_instances

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarms_take_instances (
      ECalComponentAlarms* alarms,
      GSList* instances
    )

#### Description [src]

Replaces the list of instances with the given `instances` and assumes ownership of it. Neither the `GSList`, nor its items, should contain the same structures.

Available since: 3.34

#### Parameters

`instances`

  Type: A list of `ECalComponentAlarmInstance*`

  `ECalComponentAlarmInstance` objects to take.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.